hsk: OPERA Cloud Housekeeping Service API
60 operations from Oracle’s published OHIP specifications (26.3.0.0). Each shows its HTTP method and path and the typed call on ctx.Ohip.Api. hotelId defaults to the invocation’s hotel.
autoGenerateTaskSheets
Section titled “autoGenerateTaskSheets”Auto generate the task sheets
POST /hsk/v1/hotels/{hotelId}/autoTaskSheets · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.AutoGenerateTaskSheetsAsync(TaskSheets body, string? hotelId = null, CancellationToken ct = default)cancelServicingTaskRoom
Section titled “cancelServicingTaskRoom”Cancel servicing task room
PUT /hsk/v1/hotels/{hotelId}/rooms/{roomId}/sheets/{sheetNumber} · hotel-scoped
Task<CanceledServicingTaskRoom?> ctx.Ohip.Api.Hsk.CancelServicingTaskRoomAsync(string roomId, string sheetNumber, TaskRoom body, string? hotelId = null, CancellationToken ct = default)completeOutOfOrderRooms
Section titled “completeOutOfOrderRooms”Complete rooms Out Of Order
PUT /hsk/v1/hotels/{hotelId}/rooms/outOfOrderRooms · hotel-scoped
Task<CompleteRoomRepairStatus?> ctx.Ohip.Api.Hsk.CompleteOutOfOrderRoomsAsync(CompleteRoomRepair body, string? hotelId = null, CancellationToken ct = default)completeOutOfServiceRooms
Section titled “completeOutOfServiceRooms”Complete Rooms Out of Service
PUT /hsk/v1/hotels/{hotelId}/rooms/outOfServiceRooms · hotel-scoped
Task<CompleteRoomRepairStatus?> ctx.Ohip.Api.Hsk.CompleteOutOfServiceRoomsAsync(CompleteRoomRepair body, string? hotelId = null, CancellationToken ct = default)completeServicingTaskRoom
Section titled “completeServicingTaskRoom”Complete servicing task room
PUT /hsk/v1/hotels/{hotelId}/rooms/{roomId}/sheets/{sheetNumber}/complete · hotel-scoped
Task<CompletedServicingTaskRoom?> ctx.Ohip.Api.Hsk.CompleteServicingTaskRoomAsync(string roomId, string sheetNumber, TaskRoom body, string? hotelId = null, CancellationToken ct = default)completeTaskSheet
Section titled “completeTaskSheet”Complete a task sheet
PUT /hsk/v1/hotels/{hotelId}/taskSheet/{taskSequenceNumber}/complete · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.CompleteTaskSheetAsync(string taskSequenceNumber, string? hotelId = null, CancellationToken ct = default)completeTaskSheetSet
Section titled “completeTaskSheetSet”Complete all the hotel’s task sheets for an existing Task Sheet Set.
PUT /hsk/v1/hotels/{hotelId}/taskSheetSet/{taskCodesBreakOutId}/complete · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.CompleteTaskSheetSetAsync(string taskCodesBreakOutId, string? hotelId = null, CancellationToken ct = default)deleteHousekeepingAttendantSchedule
Section titled “deleteHousekeepingAttendantSchedule”Delete housekeeping attendant schedule
DELETE /hsk/v1/hotels/{hotelId}/attendants/houseKeepingTasks · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteHousekeepingAttendantScheduleAsync(string? hotelId = null, string[]? attendantId = null, Date? scheduleDate = null, CancellationToken ct = default)deleteHouseKeepingTaskSheets
Section titled “deleteHouseKeepingTaskSheets”Delete all the hotel task sheets for an existing Task Sheet Set.
DELETE /hsk/v1/hotels/{hotelId}/houseKeepingTasks/{taskCodesBreakOutId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteHouseKeepingTaskSheetsAsync(string taskCodesBreakOutId, string? hotelId = null, CancellationToken ct = default)deleteReservationHousekeepingTasks
Section titled “deleteReservationHousekeepingTasks”Delete reservation housekeeping task
DELETE /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingTaskSchedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteReservationHousekeepingTasksAsync(string reservationId, string? hotelId = null, Action<HouseKeepingTaskSchedulesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)deleteRoomMaintenance
Section titled “deleteRoomMaintenance”Delete the maintenances for rooms
DELETE /hsk/v1/hotels/{hotelId}/maintenances/{mainteananceId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteRoomMaintenanceAsync(string mainteananceId, string? hotelId = null, CancellationToken ct = default)deleteTaskSheet
Section titled “deleteTaskSheet”Delete the task sheet
DELETE /hsk/v1/hotels/{hotelId}/taskSheets · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteTaskSheetAsync(string? hotelId = null, Date? date = null, int? sheetNumber = null, string[]? taskCodes = null, CancellationToken ct = default)deleteTaskSheetRooms
Section titled “deleteTaskSheetRooms”Delete task sheet rooms
DELETE /hsk/v1/hotels/{hotelId}/taskSheets/rooms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteTaskSheetRoomsAsync(string? hotelId = null, Date? date = null, string[]? roomId = null, int? sheetNumber = null, string[]? taskCodes = null, CancellationToken ct = default)deleteTaskSheetTemplate
Section titled “deleteTaskSheetTemplate”Delete task sheet templates
DELETE /hsk/v1/hotels/{hotelId}/taskSheetTemplates/{taskSheetTemplateCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.DeleteTaskSheetTemplateAsync(string taskSheetTemplateCode, string? hotelId = null, CancellationToken ct = default)editReservationHousekeepingTasks
Section titled “editReservationHousekeepingTasks”Update reservation housekeeping tasks
PUT /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingTaskSchedules · hotel-scoped
Task<Schedule?> ctx.Ohip.Api.Hsk.EditReservationHousekeepingTasksAsync(string reservationId, Schedule body, string? hotelId = null, CancellationToken ct = default)endServiceBreak
Section titled “endServiceBreak”End the service break
PUT /hsk/v1/hotels/{hotelId}/taskSheets/{taskSheetNumber}/end · hotel-scoped
Task<EndedServiceBreak?> ctx.Ohip.Api.Hsk.EndServiceBreakAsync(string taskSheetNumber, TaskRoom body, string? hotelId = null, CancellationToken ct = default)getFacilityForecast
Section titled “getFacilityForecast”Get facility forecast
GET /hsk/v1/hotels/{hotelId}/forecastTaskSchedules · hotel-scoped
Task<FacilityForecast?> ctx.Ohip.Api.Hsk.GetFacilityForecastAsync(string? hotelId = null, string[]? codes = null, string? duration = null, Date? endDate = null, bool? includeCreditRules = null, Date? startDate = null, bool? usePriority = null, CancellationToken ct = default)getGuestHousekeepingNotes
Section titled “getGuestHousekeepingNotes”Get the guest housekeeping instructions
GET /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingNotes · hotel-scoped
Task<GuestHousekeepingInstructions?> ctx.Ohip.Api.Hsk.GetGuestHousekeepingNotesAsync(string reservationId, string? hotelId = null, GetHousekeepingInstructionQueryParameterType[]? housekeepingInstruction = null, string? reservationIdContext = null, string? reservationIdType = null, string? room = null, CancellationToken ct = default)getHousekeepingAttendantsSchedule
Section titled “getHousekeepingAttendantsSchedule”Get the housekeeping attendants schedule
GET /hsk/v1/hotels/{hotelId}/attendants/houseKeepingTasks · hotel-scoped
Task<AttendantSchedule?> ctx.Ohip.Api.Hsk.GetHousekeepingAttendantsScheduleAsync(string? hotelId = null, Date? scheduleEndDate = null, Date? scheduleStartDate = null, CancellationToken ct = default)getHousekeepingDiscrepancies
Section titled “getHousekeepingDiscrepancies”Get hotel housekeeping discrepant rooms
GET /hsk/v1/hotels/{hotelId}/housekeepingDiscrepancies · hotel-scoped
Task<Rooms?> ctx.Ohip.Api.Hsk.GetHousekeepingDiscrepanciesAsync(string? hotelId = null, bool? dueOut = null, string[]? floor = null, string? fromRoomNumber = null, Date? housekeepingEndDate = null, Date? housekeepingStartDate = null, string[]? roomClass = null, GetRoomDiscrepancyStatusQueryParameterType[]? roomDiscrepancyStatus = null, string? toRoomNumber = null, CancellationToken ct = default)getHousekeepingOverview
Section titled “getHousekeepingOverview”Get housekeeping rooms overview
GET /hsk/v1/hotels/{hotelId}/housekeepingOverview · hotel-scoped
Task<HousekeepingBoard?> ctx.Ohip.Api.Hsk.GetHousekeepingOverviewAsync(string? hotelId = null, Action<HousekeepingOverviewRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getHouseKeepingTasks
Section titled “getHouseKeepingTasks”Get the existing task sheets
GET /hsk/v1/hotels/{hotelId}/houseKeepingtasks · hotel-scoped
Task<TaskAssignment?> ctx.Ohip.Api.Hsk.GetHouseKeepingTasksAsync(string? hotelId = null, Action<HouseKeepingTasksRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getOutOfOrderRooms
Section titled “getOutOfOrderRooms”Get Out of Order Rooms
GET /hsk/v1/hotels/{hotelId}/rooms/outOfOrderRooms · hotel-scoped
Task<Rooms?> ctx.Ohip.Api.Hsk.GetOutOfOrderRoomsAsync(string? hotelId = null, Date? endDate = null, string[]? roomClasses = null, string? roomId = null, string[]? roomTypes = null, Date? startDate = null, CancellationToken ct = default)getOutOfServiceRooms
Section titled “getOutOfServiceRooms”Get Out of Service Rooms
GET /hsk/v1/hotels/{hotelId}/rooms/outOfServiceRooms · hotel-scoped
Task<Rooms?> ctx.Ohip.Api.Hsk.GetOutOfServiceRoomsAsync(string? hotelId = null, Date? endDate = null, string[]? roomClasses = null, string? roomId = null, string[]? roomTypes = null, Date? startDate = null, CancellationToken ct = default)getReservationHousekeepingSchedule
Section titled “getReservationHousekeepingSchedule”Get reservation housekeeping schedule
GET /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingTaskSchedules · hotel-scoped
Task<Schedule?> ctx.Ohip.Api.Hsk.GetReservationHousekeepingScheduleAsync(string reservationId, string? hotelId = null, Date? beginDate = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, string? reservationIdContext = null, string? reservationIdType = null, CancellationToken ct = default)getRoomConditions
Section titled “getRoomConditions”Get rooms condition
GET /hsk/v1/hotels/{hotelId}/conditions · hotel-scoped
Task<Rooms?> ctx.Ohip.Api.Hsk.GetRoomConditionsAsync(string? hotelId = null, Action<ConditionsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRoomMaintenance
Section titled “getRoomMaintenance”Get the maintenance rooms
GET /hsk/v1/hotels/{hotelId}/rooms/maintenances · hotel-scoped
Task<RoomMaintenanceDetails?> ctx.Ohip.Api.Hsk.GetRoomMaintenanceAsync(string? hotelId = null, Action<MaintenancesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getTaskCompanion
Section titled “getTaskCompanion”Get task companion
GET /hsk/v1/hotels/{hotelId}/sheets/{sheetNumber} · hotel-scoped
Task<TaskCompanion?> ctx.Ohip.Api.Hsk.GetTaskCompanionAsync(string sheetNumber, string? hotelId = null, Action<WithSheetNumberItemRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getTaskSheetTemplate
Section titled “getTaskSheetTemplate”Get the task sheet templates
GET /hsk/v1/hotels/{hotelId}/taskSheetTemplates · hotel-scoped
Task<TaskSheetTemplate?> ctx.Ohip.Api.Hsk.GetTaskSheetTemplateAsync(string? hotelId = null, string? templateCode = null, CancellationToken ct = default)lockTaskSheet
Section titled “lockTaskSheet”Lock the task sheet
PUT /hsk/v1/hotels/{hotelId}/taskSheets/{sheetNumber}/lock · hotel-scoped
Task<LockedTaskSheet?> ctx.Ohip.Api.Hsk.LockTaskSheetAsync(string sheetNumber, TaskSheetToLock body, string? hotelId = null, CancellationToken ct = default)mergeTaskSheet
Section titled “mergeTaskSheet”Merge task sheet
POST /hsk/v1/hotels/{hotelId}/taskSheets/{toTaskSequenceNo}/merge · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.MergeTaskSheetAsync(string toTaskSequenceNo, TaskSheetToMerge body, string? hotelId = null, CancellationToken ct = default)moveTaskRooms
Section titled “moveTaskRooms”Move the task rooms
PUT /hsk/v1/hotels/{hotelId}/moveTaskRooms · hotel-scoped
Task<MovedTaskRoomsRS?> ctx.Ohip.Api.Hsk.MoveTaskRoomsAsync(MoveTaskRooms body, string? hotelId = null, CancellationToken ct = default)pingHouseKeepingService
Section titled “pingHouseKeepingService”ping the house keeping service
GET /hsk/v1/services/houseKeeping/status · chain-level
Task<PingRS?> ctx.Ohip.Api.Hsk.PingHouseKeepingServiceAsync(CancellationToken ct = default)postHousekeepingAttendantSchedule
Section titled “postHousekeepingAttendantSchedule”Create housekeeping attendant schedule
POST /hsk/v1/hotels/{hotelId}/schedules/houseKeepingTasks · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostHousekeepingAttendantScheduleAsync(AttendantSchedule body, string? hotelId = null, CancellationToken ct = default)postOutOfOrderRooms
Section titled “postOutOfOrderRooms”Set multiple rooms to Out Of Order
POST /hsk/v1/hotels/{hotelId}/rooms/outOfOrderRooms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostOutOfOrderRoomsAsync(RoomRepairOutOfOrder body, string? hotelId = null, CancellationToken ct = default)postOutOfServiceRooms
Section titled “postOutOfServiceRooms”Set multiple rooms to Out Of Service
POST /hsk/v1/hotels/{hotelId}/rooms/outOfServiceRooms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostOutOfServiceRoomsAsync(RoomRepairOutOfService body, string? hotelId = null, CancellationToken ct = default)postReservationHousekeepingTasks
Section titled “postReservationHousekeepingTasks”Create reservation housekeeping tasks
POST /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingTaskSchedules · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostReservationHousekeepingTasksAsync(string reservationId, Schedule body, string? hotelId = null, CancellationToken ct = default)postRoomMaintenance
Section titled “postRoomMaintenance”Create maintenances for rooms
POST /hsk/v1/hotels/{hotelId}/rooms/maintenanceCodes/{maintenanceCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostRoomMaintenanceAsync(string maintenanceCode, RoomMaintenanceRequest body, string? hotelId = null, CancellationToken ct = default)postTaskSheet
Section titled “postTaskSheet”Create the task sheet
POST /hsk/v1/hotels/{hotelId}/taskSheets · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostTaskSheetAsync(TaskSheet body, string? hotelId = null, CancellationToken ct = default)postTaskSheetRooms
Section titled “postTaskSheetRooms”Create the task sheet rooms
POST /hsk/v1/hotels/{hotelId}/taskSheets/rooms · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PostTaskSheetRoomsAsync(TaskSheet body, string? hotelId = null, CancellationToken ct = default)putRoomCleaningPriority
Section titled “putRoomCleaningPriority”Delete room cleaning priority
DELETE /hsk/v1/hotels/{hotelId}/rooms/cleaningPriority · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.PutRoomCleaningPriorityAsync(string? hotelId = null, string[]? roomId = null, CancellationToken ct = default)putRoomMaintenance
Section titled “putRoomMaintenance”Change maintenances for rooms
PUT /hsk/v1/hotels/{hotelId}/rooms/{roomId}/maintenances/{maintenanceId} · hotel-scoped
Task<ChangedRoomMaintenance?> ctx.Ohip.Api.Hsk.PutRoomMaintenanceAsync(string roomId, string maintenanceId, RoomMaintenance body, string? hotelId = null, CancellationToken ct = default)putRoomRelatedStatus
Section titled “putRoomRelatedStatus”Update Housekeeping Room Status
PUT /hsk/v1/hotels/{hotelId}/rooms/status · hotel-scoped
Task<HousekeepingRoomStatus?> ctx.Ohip.Api.Hsk.PutRoomRelatedStatusAsync(HousekeepingRoomStatusCriteria body, string? hotelId = null, CancellationToken ct = default)putTaskSheet
Section titled “putTaskSheet”Change the task sheet
PUT /hsk/v1/hotels/{hotelId}/taskSheets · hotel-scoped
Task<ChangedTaskSheet?> ctx.Ohip.Api.Hsk.PutTaskSheetAsync(TaskSheet body, string? hotelId = null, CancellationToken ct = default)putTaskSheetRooms
Section titled “putTaskSheetRooms”Change the task sheet rooms
PUT /hsk/v1/hotels/{hotelId}/taskSheets/rooms · hotel-scoped
Task<ChangedTaskSheetRooms?> ctx.Ohip.Api.Hsk.PutTaskSheetRoomsAsync(TaskSheet body, string? hotelId = null, CancellationToken ct = default)putTaskSheetTemplate
Section titled “putTaskSheetTemplate”Change the task sheet templates
PUT /hsk/v1/hotels/{hotelId}/taskSheetTemplates/{taskSheetTemplateCode} · hotel-scoped
Task<ChangedTaskSheetTemplate?> ctx.Ohip.Api.Hsk.PutTaskSheetTemplateAsync(string taskSheetTemplateCode, TaskSheetTemplate body, string? hotelId = null, CancellationToken ct = default)reopenTaskSheet
Section titled “reopenTaskSheet”Reopen a task sheet
PUT /hsk/v1/hotels/{hotelId}/taskSheet/{taskSequenceNumber}/reopen · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.ReopenTaskSheetAsync(string taskSequenceNumber, string? hotelId = null, CancellationToken ct = default)reopenTaskSheetSet
Section titled “reopenTaskSheetSet”Reopen all the hotel’s task sheets for an existing Task Sheet Set.
PUT /hsk/v1/hotels/{hotelId}/taskSheetSet/{taskCodesBreakOutId}/reopen · hotel-scoped
Task<Status?> ctx.Ohip.Api.Hsk.ReopenTaskSheetSetAsync(string taskCodesBreakOutId, string? hotelId = null, CancellationToken ct = default)resetReservationHousekeepingSchedule
Section titled “resetReservationHousekeepingSchedule”Reset reservation housekeeping schedule
PUT /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingTaskSchedules/reset · hotel-scoped
Task<ScheduledSearch?> ctx.Ohip.Api.Hsk.ResetReservationHousekeepingScheduleAsync(string reservationId, ScheduleSearch body, string? hotelId = null, CancellationToken ct = default)resolveRoomMaintenance
Section titled “resolveRoomMaintenance”Resolve maintenances for rooms
PUT /hsk/v1/hotels/{hotelId}/maintenances/{mainteananceId}/resolve · hotel-scoped
Task<ResolvedRoomMaintenance?> ctx.Ohip.Api.Hsk.ResolveRoomMaintenanceAsync(string mainteananceId, RoomMaintenance body, string? hotelId = null, CancellationToken ct = default)setGuestHousekeepingNotes
Section titled “setGuestHousekeepingNotes”Set guest housekeeping instructions
PUT /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingNotes · hotel-scoped
Task<GuestHousekeepingService?> ctx.Ohip.Api.Hsk.SetGuestHousekeepingNotesAsync(string reservationId, GuestHousekeepingServiceRequest body, string? hotelId = null, CancellationToken ct = default)setGuestHousekeepingServiceRequest
Section titled “setGuestHousekeepingServiceRequest”Set the Guest housekeeping service requests
PUT /hsk/v1/hotels/{hotelId}/serviceRequests · hotel-scoped
Task<GuestHousekeepingServiceRequestStatus?> ctx.Ohip.Api.Hsk.SetGuestHousekeepingServiceRequestAsync(GuestHousekeepingServiceRequestCriteria body, string? hotelId = null, CancellationToken ct = default)setRoomCleaningPriority
Section titled “setRoomCleaningPriority”Set the room cleaning priority
PUT /hsk/v1/hotels/{hotelId}/rooms/{roomId}/cleaningPriority · hotel-scoped
Task<RoomCleaningPriorityRequestStatus?> ctx.Ohip.Api.Hsk.SetRoomCleaningPriorityAsync(string roomId, RoomCleaningPriority body, string? hotelId = null, CancellationToken ct = default)setRoomCondition
Section titled “setRoomCondition”Set rooms condition
PUT /hsk/v1/hotels/{hotelId}/conditions · hotel-scoped
Task<RoomConditionRequestStatus?> ctx.Ohip.Api.Hsk.SetRoomConditionAsync(RoomCondition body, string? hotelId = null, CancellationToken ct = default)shiftReservationHousekeepingSchedule
Section titled “shiftReservationHousekeepingSchedule”Shift reservation housekeeping schedule
PUT /hsk/v1/hotels/{hotelId}/reservations/{reservationId}/houseKeepingTaskSchedules/shift · hotel-scoped
Task<ScheduledShiftRequest?> ctx.Ohip.Api.Hsk.ShiftReservationHousekeepingScheduleAsync(string reservationId, ScheduleShiftRequest body, string? hotelId = null, CancellationToken ct = default)skipServicingTaskRoom
Section titled “skipServicingTaskRoom”Skip servicing task room
PUT /hsk/v1/hotels/{hotelId}/rooms/{roomId}/sheets/{sheetNumber}/skip · hotel-scoped
Task<SkipedServicingTaskRoom?> ctx.Ohip.Api.Hsk.SkipServicingTaskRoomAsync(string roomId, string sheetNumber, TaskRoom body, string? hotelId = null, CancellationToken ct = default)startServiceBreak
Section titled “startServiceBreak”Start the service break
PUT /hsk/v1/hotels/{hotelId}/taskSheets/{taskSheetNumber}/start · hotel-scoped
Task<StartedServiceBreak?> ctx.Ohip.Api.Hsk.StartServiceBreakAsync(string taskSheetNumber, TaskRoom body, string? hotelId = null, CancellationToken ct = default)startServicingTaskRoom
Section titled “startServicingTaskRoom”Start servicing task room
PUT /hsk/v1/hotels/{hotelId}/rooms/{roomId}/sheets/{sheetNumber}/start · hotel-scoped
Task<ServiceTime?> ctx.Ohip.Api.Hsk.StartServicingTaskRoomAsync(string roomId, string sheetNumber, TaskRoom body, string? hotelId = null, CancellationToken ct = default)unlockTaskSheet
Section titled “unlockTaskSheet”Unlock the task sheet
PUT /hsk/v1/hotels/{hotelId}/taskSheets/{sheetNumber}/unlock · hotel-scoped
Task<UnlockedTaskSheet?> ctx.Ohip.Api.Hsk.UnlockTaskSheetAsync(string sheetNumber, TaskSheetToUnlock body, string? hotelId = null, CancellationToken ct = default)unResolveRoomMaintenance
Section titled “unResolveRoomMaintenance”unResolve the maintenances for rooms
PUT /hsk/v1/hotels/{hotelId}/maintenances/{mainteananceId}/unResolve · hotel-scoped
Task<UnresolvedRoomMaintenance?> ctx.Ohip.Api.Hsk.UnResolveRoomMaintenanceAsync(string mainteananceId, RoomMaintenance body, string? hotelId = null, CancellationToken ct = default)